package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.RequirementFollow;
import com.lightinit.hsdataplatform.entity.RequirementFollowExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RequirementFollowMapper {
    long countByExample(RequirementFollowExample example);

    int deleteByExample(RequirementFollowExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RequirementFollow record);

    int insertSelective(RequirementFollow record);

    List<RequirementFollow> selectByExample(RequirementFollowExample example);

    RequirementFollow selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RequirementFollow record, @Param("example") RequirementFollowExample example);

    int updateByExample(@Param("record") RequirementFollow record, @Param("example") RequirementFollowExample example);

    int updateByPrimaryKeySelective(RequirementFollow record);

    int updateByPrimaryKey(RequirementFollow record);
}